﻿

#import module
Import-Module "X:\Scripts\MIM\UserProfile.MIMSync\SharePointSync.psm1"

# ======================================== variables ===========================================================================
#$path="C:\Users\mim_admin\Downloads\PnP-Tools-master\PnP-Tools-master\Solutions\UserProfile.MIMSync"
$path="C:\Create-MIM-MAs\"
$forestName="dev.local"
$forestSyncUser="dev\mimsync"
$ouUnit="OU=Zaposleni,dc=dev,dc=local"
$forestSyncPass=ConvertTo-SecureString -AsPlainText -Force 'Pa$$w0rd'
$forestSyncCred=New-Object -TypeName System.Management.Automation.PSCredential -argumentlist $forestSyncUser,$forestSyncPass
$spCentralAdminUrl="http://w-sp04:55555"
$spadminUser="dev\sp16_admin_svc"
$spadminPass=ConvertTo-SecureString -AsPlainText -Force 'Pa$$w0rd'
$spAdminCred=New-Object -TypeName System.Management.Automation.PSCredential -argumentlist $spadminUser,$spadminPass
# ======================================== variables ===========================================================================

### Install the SharePoint Sync Configuration
Install-SharePointSyncConfiguration `
  -Path  $path `
  -ForestDnsName $forestName `
  -ForestCredential $forestSyncCred `
  -OrganizationalUnit  $ouUnit `
  -SharePointUrl $spCentralAdminUrl `
  -SharePointCredential $spAdminCred `
  -Verbose 




  Restart-Service FIMSynchronizationService